{% load static i18n don_template_functions %}
<div class="validator-report">
    <div class="validator-report__intro">
        <h2>{{ report.ruleset.title }}</h2>
        <p>{{ report.ruleset.description | urlize }}</p>
        {% if report.ruleset.documentation_url %}
        <a href="{{ report.ruleset.documentation_url }}" class="validator-report__intro__link" target="_blank">
            <svg class="icon icon--md">
                <use href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-vocabulary" />
            </svg>
            Documentatie
        </a>
        {% endif %}
    </div>

    <aside class="validator-report__aside">
        {% score_pie report is_large=True %}
        <div class="validator-report__aside__details">
            <h3 class="mb-2 mt-3">Berekend op</h3>
            <div class="validator-report__aside__details__spec">
                <svg width="16" height="16" viewBox="0 0 24 24" class="icon icon--sm">
                    <path fill="none" d="M0 0H24V24H0z"></path>
                    <path
                        d="M12 2c5.523 0 10 4.477 10 10s-4.477 10-10 10S2 17.523 2 12h2c0 4.418 3.582 8 8 8s8-3.582 8-8-3.582-8-8-8C9.25 4 6.824 5.387 5.385 7.5H8v2H2v-6h2V6c1.824-2.43 4.729-4 8-4zm1 5v4.585l3.243 3.243-1.415 1.415L11 12.413V7h2z">
                    </path>
                </svg>
                {{ report.generated_at | date:"d b Y - H:i:s" }}
            </div>
        </div>
        <h3 class="mb-2 mt-6">Validator</h3>
        <p class="mb-2">De validator die deze score heeft bepaald.</p>
        <ul class="list-reset mt-0 mb-0">
            <li class="validator-report__aside__details__spec">
                <svg class="icon icon--sm">
                    <use href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-shield-check" />
                </svg>
                {% if report.ruleset.validator.documentation_url %}
                <a href="{{ report.ruleset.validator.documentation_url }}" class="ml-md" target="_blank">
                    {{ report.ruleset.validator.name }}</a>
                {% else %}
                <b>{{ report.ruleset.validator.name }}</b>
                {% endif %}
            </li>
            <li class="validator-report__aside__details__spec">
                <svg class="icon icon--sm">
                    <use href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-tag" />
                </svg>
                Versie: {{ report.ruleset.validator.version }}
            </li>
        </ul>
    </aside>

    <div class="validator-report__results">
        <ul class="list-reset">
            {% for result in report.results.all %}
            <li
                class="validator-report-result {% if result.passed %}validator-report-result--success{% else %}validator-report-result--failed{% endif %}">
                <h3 class="validator-report-result__title">
                    {{ result.rule.rule_id }}: {{ result.rule.title }}
                </h3>
                <p>{{ result.rule.description }}</p>
                {% if result.rule.documentation_url %}
                <a href="{{ result.rule.documentation_url }}" class="mt-sm" target="_blank">Naar documentatie
                    <svg class="icon icon--sm">
                        <use href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-external-link" />
                    </svg>
                </a>
                {% endif %}
                {% if not result.passed %}
                <div class="validator-report-result__errors">
                    <svg width="16" height="16">
                        <path d="M16 16H0V0h16v16zm-9-5v2h2v-2H7zm0-8v6h2V3H7z"></path>
                    </svg>
                    <p>{{ result.message }}</p>
                </div>
                {% if result.details %}
                <div class="validator-report-result__details">
                    <h3 class="mt-0 mb-0">Details</h3>
                    <pre class="code code--black font-size-xs">{{ result.details }}</pre>
                </div>
                {% endif %}
                {% endif %}
            </li>
            {% endfor %}
        </ul>
    </div>
</div>
